#carta_img_fondo{ background-color:   #2f476240; padding: 20px;}
#carta_img_fondo .zona_areas {text-align: center;}
#carta_img_fondo .compensacion_ancla::before {
    display: block;
    content: " ";
    margin-top: -100px;
    height: 120px;
    visibility: hidden;
}
#carta_img_fondo .zona_areas {
    display: flex;
    justify-content: center;
  flex-wrap: wrap;
}

#carta_img_fondo .zona_areas .btn {
    text-transform: uppercase;
    font-size:12px;
}

#carta_img_fondo .bot_area {
    position: relative;     /* Necesario para la línea vertical */
    padding: 6px 15px;
    margin:4px;
    color:#fff  ;       /* Quitamos márgenes automáticos */
       cursor: pointer;
    font-size: 16px;
    letter-spacing: 1px;
    text-align: center;
    transition: all 1s linear;
    border-radius: 10px;
}



#carta_img_fondo .hoja_blanca{background-color: #efefef; border-radius: 10px;}


#carta_img_fondo .titular_bloque {
    font-size: clamp(2em, 4vw, 3em);
    text-transform: uppercase;
    line-height: 90%;
    font-weight: 500;
    text-align: center;

}

#carta_img_fondo .titular_bloque::after {
    content: '';
    display: block;
    width: 150px;
    height: 15px;
    margin: 14px auto 17px;
    background-color: #9ac9d5; /* aquí controlas el color */
    -webkit-mask-image: url("../img/onda_adorno.svg");
    mask-image: url("../img/onda_adorno.svg");
    mask-size: contain;
    -webkit-mask-size: contain;
    mask-repeat: no-repeat;
    -webkit-mask-repeat: no-repeat;
    mask-position: center;
    -webkit-mask-position: center;
}



#carta_img_fondo .subtitulo {
    font-weight: 500;
    text-align: center;
    font-size: 22px;
    margin-top:-10px;
}



#carta_img_fondo .bloque_plato .descripcion_articulo {
    font-size: 13px;
    line-height: 100%;
    margin-top: 3px;
    padding-bottom: 5px;
}


#carta_img_fondo .texto_iva {text-align: center; color: #666;}

#carta_img_fondo .plato_carrito {background-color: #fff;}

:target::before {content: ''; display: block; height: 120px; margin-top: -100px;}

/*----ejemplo precios vertical----*/
#carta_img_fondo  .plato_precios_vertical .menu-item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding:10px 15px;
}

#carta_img_fondo  .plato_precios_vertical .menu-item:last-child { border-bottom: none;}

#carta_img_fondo  .plato_precios_vertical .menu-item-info { max-width: 70%;}

#carta_img_fondo  .plato_precios_vertical h3 {   font-size:clamp(0.9rem, 0.89rem + 2vw, 1.1rem);    line-height: 105%; font-weight: 400; margin-bottom: 0;}





#carta_img_fondo  .plato_precios_vertical .description { font-size: 1rem; color: #666; margin: 10px 0;}

#carta_img_fondo  .plato_precios_vertical .allergens img { width: 24px; height: 24px; margin-right: 8px;}
#carta_img_fondo  .plato_precios_vertical .menu-item-price { text-align: right;}
#carta_img_fondo .plato_precios_vertical .menu-item-price p { font-size:0.9em;color: #666; margin:2px;}

#carta_img_fondo .plato_precios_vertical .menu-item-info a {
    color: #DB0A06;
    transition: color 0.3s linear;
}
#carta_img_fondo .plato_precios_vertical .menu-item-info a:hover {
    color: #000;
}



#carta_img_fondo .plato_precios_vertical .price {
    color: #000;
     font-size: clamp(0.938rem, 0.926rem + 0.06vw, 1rem);
     text-align: right;
     justify-content: flex-end;
     padding-left: 5px;
    }

#carta_img_fondo  .separator {
    flex-grow: 1;
    border-bottom: 1px dashed #ccc; /* Línea discontinua */
    margin: 0 10px; /* Espacio a los lados */
    height: 0; /* No ocupa espacio vertical */
}




/* Extra small devices (portrait phones, less than 576px)*/
@media (width <= 575.98px){
    #carta_img_fondo  .plato_precios_vertical .menu-item { padding:10px;}
    #carta_img_fondo  .plato_precios_vertical .menu-item-info { max-width: 80%; min-width: 60%;}
     #carta_img_fondo  .plato_precios_vertical  .menu-item-price { text-align: right;  width: 100%;  line-height: 100%;}
     #carta_img_fondo  .plato_precios_vertical h2{ margin-bottom: 0;}
     #carta_img_fondo  .plato_precios_vertical .menu-item-price p { font-size:0.7em;}
     #carta_img_fondo  .separator {
        width: 100%; /* Hace que la línea ocupe todo el ancho */
        border-bottom: 1px dashed #ccc; /* Mantiene la línea discontinua */
        margin: 3px 0; /* Añade espacio arriba y abajo */
    }

    #carta_img_fondo  .bot_area {padding: 8px 8px;    }


}

/* Small devices (landscape phones, 576px–767px)*/
@media (576px <= width <= 767.98px) {
    #carta_img_fondo  .plato_precios_vertical .menu-item { flex-direction: column; align-items: flex-start; }
    #carta_img_fondo  .plato_precios_vertical .menu-item-info { max-width: 100%; }
     #carta_img_fondo  .plato_precios_vertical  .menu-item-price { text-align: right;  width: 100%;  line-height: 100%;}
     #carta_img_fondo  .plato_precios_vertical h2{ margin-bottom: 0;}
     #carta_img_fondo  .plato_precios_vertical .menu-item-price p { font-size:0.7em;}
     #carta_img_fondo  .separator {
        width: 100%; /* Hace que la línea ocupe todo el ancho */
        border-bottom: 1px dashed #ccc; /* Mantiene la línea discontinua */
        margin: 3px 0; /* Añade espacio arriba y abajo */
    }

}

/* Medium devices (tablets, 768px and up)*/
@media (768px <= width <= 991.98px) {

}
/* Medium devices (tablets, 768px and up)*/
@media (768px <= width <= 991.98px) and (orientation: portrait) {

}


/* Large devices l (desktops, 992px and up)*/
@media (992px <= width <= 1199.98px) {

}

/* Large devices l (desktops, 992px and up)*/
@media (992px <= width <= 1199.98px)  and (orientation: portrait)  {

}


/* Extra large devices xl(large desktops, 1200px and up)*/
@media (1200px <= width <= 1399px) {


}
/* Extra large devices xl(large desktops, 1400px and up)*/
@media (width >= 1400px){


}











